# Rust Chat Server with tokio

https://youtu.be/T2mWg91sx-o

## TurboFish Operator

For disambiguating generic types that the complier is not smart enough to figure out by itself

## Common Rust Complier Error

- Use of moved value
  Fixed: Clone value
